#
# spec file for package python3-pyzabbix
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyzabbix
Version:        0.7.4
Release:        2.6
Summary:        Zabbix API Python interface
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            http://github.com/lukecyca/pyzabbix
Source:         https://pypi.python.org/packages/source/p/pyzabbix/pyzabbix-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-requests
BuildArch:      noarch

%description
PyZabbix is a Python module for working with the Zabbix API.

%prep
%setup -q -n pyzabbix-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Thu Sep  1 2016 boris@steki.net
- updated to latest released version 0.7.4
- notable changes and fixes:
  + workaround for ZBX-9340
  + Avoid sending auth token for api_version request
  + Prevent auth key from being sent on login()
  + Only include the key if auth is non-empty
* Wed Dec 11 2013 boris@steki.net
- initial packaging
